Intermittent TEST-UNEXPECTED-TIMEOUT | dom/asmjscache/test/test_slow.html | application timed out after 330/370 seconds with no output

RESOLVED FIXED in Firefox 61

Status

()

defect
RESOLVED FIXED
3 years ago
5 months ago

People

(Reporter: intermittent-bug-filer, Assigned: luke)

Tracking

({intermittent-failure})

unspecified
mozilla61
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox59 wontfix, firefox60 disabled, firefox61 fixed)

Details

(Whiteboard: [stockwell fixed:product])

Recent failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=161779889&repo=autoland&lineNumber=12990

20:23:03     INFO -  GECKO(6804) | ++DOMWINDOW == 12 (0000021E51DC9470) [pid = 6804] [serial = 12] [outer = 0000000000000000]
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa6101fa418+0x5be8, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa6103ffac8+0x538, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa6105ff988+0x678, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa6107fe7c8+0x1838, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa6109fef18+0x10e8, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa610bfe808+0x17f8, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa610dfecb8+0x1348, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa610ffec78+0x1388, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa6111feb88+0x1478, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa6113fec08+0x13f8, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa6115fe868+0x1798, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa611bffba8+0x458, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa611dfeec8+0x1138, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa6121ff1e8+0xe18, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa6123fee88+0x1178, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa6125ff108+0xef8, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa6127ff3c8+0xc38, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa6129ff4d8+0xb28, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa612bff4e8+0xb18, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa612dff038+0xfc8, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa612ffef28+0x10d8, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa6131ff508+0xaf8, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa6133ff3c8+0xc38, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa6135ff6f8+0x908, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa6137ff348+0xcb8, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa6139ff828+0x7d8, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa613bff368+0xc98, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa613dfef08+0x10f8, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa613fff708+0x8f8, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa6141ff118+0xee8, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa6143ff468+0xb98, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa6145ff5f8+0xa08, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa6147ff438+0xbc8, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa614bff288+0xd78, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | 2018-02-12 20:23:03: minidump.cc:1425: ERROR: MinidumpThread has a memory region problem, 0xa614dfe088+0x1f78, RVA 0x0x0
20:23:03     INFO -  GECKO(6804) | ++DOMWINDOW == 13 (0000021E51DB9000) [pid = 6804] [serial = 13] [outer = 0000021E51DC9470]
20:23:03     INFO -  GECKO(6804) | [Parent 6804, Main Thread] WARNING: NS_ENSURE_TRUE(aSecondURI) failed: file z:/build/build/src/dom/base/ThirdPartyUtil.cpp, line 98
20:23:03     INFO -  GECKO(6804) | ++DOMWINDOW == 14 (0000021E51DB7800) [pid = 6804] [serial = 14] [outer = 0000021E51DC9470]
20:23:03     INFO -  GECKO(6804) | [Parent 6804, Gecko_IOThread] WARNING: file z:/build/build/src/ipc/chromium/src/base/process_util_win.cc, line 188
20:23:05     INFO -  GECKO(6804) | --DOCSHELL 0000018D00443800 == 0 [pid = 4856] [id = {ba9e3903-8957-4fc2-8aa6-4cfa38d3dae6}]
20:23:07     INFO -  GECKO(6804) | --DOMWINDOW == 13 (0000021E5244C000) [pid = 6804] [serial = 4] [outer = 0000000000000000] [url = about:blank]
20:23:09     INFO -  GECKO(6804) | --DOMWINDOW == 2 (0000018D065A7400) [pid = 4856] [serial = 2] [outer = 0000000000000000] [url = about:blank]
20:23:10     INFO -  GECKO(6804) | --DOMWINDOW == 12 (0000021E5812A660) [pid = 6804] [serial = 9] [outer = 0000000000000000] [url = about:blank]
20:23:13     INFO -  GECKO(6804) | [DEBUG SHUTDOWN] Shutdown: decoder=0000018D082CD400 state machine=0000018D082FF000
20:23:13     INFO -  GECKO(6804) | --DOMWINDOW == 1 (0000018D05F99470) [pid = 4856] [serial = 1] [outer = 0000000000000000] [url = chrome://gfxsanity/content/sanitytest.html]
20:23:13     INFO -  GECKO(6804) | [DEBUG SHUTDOWN] Enter: state machine=0000018D004FA830 reader=0000018D05742EE0
20:23:13     INFO -  GECKO(6804) | [DEBUG SHUTDOWN] Shutdown: reader=0000018D065FC000 shutdown demuxer=0000018D082C0730
20:23:13     INFO -  GECKO(6804) | [DEBUG SHUTDOWN] Shutdown: pool=0000018D065F9280 count=1
20:23:13     INFO -  GECKO(6804) | [DEBUG SHUTDOWN] operator (): pool=0000018D065F9280 shutdown=true count=0
20:23:13     INFO -  GECKO(6804) | [DEBUG SHUTDOWN] TearDownDecoders: reader=0000018D065FC000 shut down audio task queue
20:23:13     INFO -  GECKO(6804) | [DEBUG SHUTDOWN] TearDownDecoders: reader=0000018D065FC000 shut down video task queue
20:23:13     INFO -  GECKO(6804) | [DEBUG SHUTDOWN] FinishShutdown: state machine=0000018D082FF000
20:23:13     INFO -  GECKO(6804) | [DEBUG SHUTDOWN] Unregister: decoder=0000018D082CD400, count=0
20:23:14     INFO -  GECKO(6804) | --DOMWINDOW == 11 (0000021E51DB9000) [pid = 6804] [serial = 13] [outer = 0000000000000000] [url = about:blank]
20:23:14     INFO -  GECKO(6804) | --DOMWINDOW == 10 (0000021E51506000) [pid = 6804] [serial = 10] [outer = 0000000000000000] [url = about:blank]
20:23:14     INFO -  GECKO(6804) | --DOMWINDOW == 0 (0000018D07FA9000) [pid = 4856] [serial = 3] [outer = 0000000000000000] [url = chrome://gfxsanity/content/sanitytest.html]
20:23:15     INFO -  GECKO(6804) | [Parent 6804, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80520012: file z:/build/build/src/dom/fetch/FetchDriver.cpp, line 721
20:24:56     INFO -  GECKO(6804) | [Parent 6804, Lazy Idle] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80520012: file z:/build/build/src/widget/windows/WinUtils.cpp, line 1483
20:26:56     INFO -  GECKO(6804) | [Parent 6804, Lazy Idle] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80520012: file z:/build/build/src/widget/windows/WinUtils.cpp, line 1483
20:28:52     INFO -  [792, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file z:/build/build/src/toolkit/components/places/Database.cpp, line 752
20:28:52     INFO -  [792, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file z:/build/build/src/toolkit/components/places/Database.cpp, line 586
20:28:52     INFO -  [792, Main Thread] WARNING: Unable to get a connection to vacuum database: file z:/build/build/src/storage/VacuumManager.cpp, line 139
20:28:52     INFO -  [792, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file z:/build/build/src/xpcom/base/nsSystemInfo.cpp, line 119
20:28:52     INFO -  [792, Main Thread] WARNING: 'NS_FAILED(rv)', file z:/build/build/src/dom/quota/ActorsParent.cpp, line 2664
20:28:52     INFO -  [792, Main Thread] WARNING: 'NS_FAILED(rv)', file z:/build/build/src/dom/quota/ActorsParent.cpp, line 2827
20:28:52     INFO -  [792, IPDL Background] WARNING: '!quotaManager', file z:/build/build/src/dom/quota/ActorsParent.cpp, line 6462
20:33:06     INFO -  Buffered messages logged at 20:23:00
20:33:06     INFO -  692 INFO TEST-PASS | dom/asmjscache/test/test_slow.html | f1 is an asm.js module
20:33:06     INFO -  693 INFO TEST-PASS | dom/asmjscache/test/test_slow.html | f1.g is an asm.js function
20:33:06     INFO -  694 INFO TEST-PASS | dom/asmjscache/test/test_slow.html | f2 is an asm.js module
20:33:06     INFO -  695 INFO TEST-PASS | dom/asmjscache/test/test_slow.html | f2.main is an asm.js function
20:33:06     INFO -  696 INFO TEST-PASS | dom/asmjscache/test/test_slow.html | f3.main is an asm.js function
20:33:06     INFO -  Buffered messages finished
20:33:06  WARNING -  TEST-UNEXPECTED-TIMEOUT | dom/asmjscache/test/test_slow.html | application timed out after 370 seconds with no output
20:33:06     INFO -  697 ERROR Force-terminating active process(es).
20:33:06     INFO -  Determining child pids from psutil...
20:33:06     INFO -  [4856]
20:33:06     INFO -  ==> process 6804 launched child process 4856 ("Z:\task_1518465619\build\application\firefox\firefox.exe" -contentproc --channel="6804.0.1354152454\1290611028" -childID 1 -isForBrowser -intPrefs 6:50|7:-1|35:1000|43:0|44:5|45:0|52:0|58:128|59:10000|64:0|66:400|67:1|68:0|69:0|70:100|75:0|76:120|77:120|162:2|163:1|167:60|168:30|169:1000|178:0|180:0|194:32|195:256|196:5|209:10000|230:24|231:32768|233:0|234:0|243:2|247:1048576|249:100|250:5000|252:600|254:1|262:20|279:5|283:0|291:60000|309:300|310:30| -boolPrefs 1:0|2:0|4:1|5:1|25:1|28:1|29:1|30:1|32:1|33:1|34:1|37:1|38:1|39:1|42:0|46:1|47:0|48:0|49:1|50:1|51:1|53:0|56:1|57:1|60:1|61:0|62:0|63:0|65:0|71:1|72:1|73:1|74:1|78:1|79:1|80:0|81:0|82:1|83:1|84:1|85:1|86:1|89:0|90:0|93:1|94:1|97:0|98:1|99:1|100:0|101:1|102:1|103:1|104:0|105:0|106:0|107:0|108:0|109:1|110:1|111:1|114:1|115:1|116:1|117:1|118:1|119:0|120:1|121:1|122:0|123:0|124:1|125:1|126:0|127:1|128:1|129:1|131:1|132:0|133:1|134:1|135:1|136:0|137:0|138:0|139:1|140:1|141:1|142:1|143:1|144:1|145:1|146:1|147:1|148:1|149:1|150:0|151:1|152:1|153:0|154:1|155:1|156:0|157:0|158:1|159:1|160:1|161:1|164:1|165:0|172:0|175:0|176:0|177:1|181:1|184:0|185:1|187:1|189:0|191:1|193:1|197:1|198:0|199:1|200:1|201:0|204:1|208:1|210:0|211:0|213:1|216:0|222:0|223:1|224:0|225:1|228:0|229:0|232:1|235:0|237:1|238:1|240:1|241:0|248:1|251:1|256:0|257:0|258:0|259:1|260:1|261:0|266:1|269:1|270:1|271:1|272:1|273:1|274:0|275:1|281:0|284:0|285:1|286:1|287:0|288:1|289:1|290:1|292:0|293:0|295:0|304:1|305:1|306:0|307:0|308:0| -stringPrefs "3:7;default|215:4;0.01|226:332; ����!==> process 6804 launched child process 3312 ("Z:\task_1518465619\build\application\firefox\firefox.exe" -contentproc --channel="6804.6.491328465\93479598" -childID 2 -isForBrowser -intPrefs 6:50|7:-1|35:1000|43:0|44:5|45:0|52:0|58:128|59:10000|64:0|66:400|67:1|68:0|69:0|70:100|75:0|76:120|77:120|162:2|163:1|167:60|168:30|169:1000|178:0|180:0|194:32|195:256|196:5|209:10000|230:24|231:32768|233:0|234:0|243:2|247:1048576|249:100|250:5000|252:600|254:1|262:20|279:5|283:0|291:60000|309:300|310:30| -boolPrefs 1:0|2:0|4:1|5:1|25:1|28:1|29:1|30:1|32:1|33:1|34:1|37:1|38:1|39:1|42:0|46:1|47:0|48:0|49:1|50:1|51:1|53:0|56:1|57:1|60:1|61:0|62:0|63:0|65:0|71:1|72:1|73:1|74:1|78:1|79:1|80:0|81:0|82:1|83:1|84:1|85:1|86:1|89:0|90:0|93:1|94:1|97:0|98:1|99:1|100:0|101:1|102:1|103:1|104:0|105:0|106:0|107:0|108:0|109:1|110:1|111:1|114:1|115:1|116:1|117:1|118:1|119:0|120:1|121:1|122:0|123:0|124:1|125:1|126:0|127:1|128:1|129:1|131:1|132:0|133:1|134:1|135:1|136:0|137:0|138:0|139:1|140:1|141:1|142:1|143:1|144:1|145:1|146:1|147:1|148:1|149:1|150:0|151:1|152:1|153:0|154:1|155:1|156:0|157:0|158:1|159:1|160:1|161:1|164:1|165:0|172:0|175:0|176:0|177:1|181:1|184:0|185:1|187:1|189:0|191:1|193:1|197:1|198:0|199:1|200:1|201:0|204:1|208:1|210:0|211:0|213:1|216:0|222:0|223:1|224:0|225:1|228:0|229:0|232:1|235:0|237:1|238:1|240:1|241:0|248:1|251:1|256:0|257:0|258:0|259:1|260:1|261:0|266:1|269:1|270:1|271:1|272:1|273:1|274:0|275:1|281:0|284:0|285:1|286:1|287:0|288:1|289:1|290:1|292:0|293:0|295:0|304:1|305:1|306:0|307:0|308:0| -stringPrefs "3:7;default|215:4;0.01|226:332; ����!
20:33:06     INFO -  Found child pids: set([4856])
20:33:06     INFO -  Killing process: 4856
20:33:06     INFO -  TEST-INFO | started process screenshot
20:33:06     INFO -  TEST-INFO | screenshot: exit 0
20:33:06     INFO -  mozcrash kill_pid(): wait failed (-1) terminating pid 4856: error 5
20:33:06     INFO -  psutil found pid 4856 dead
20:33:06     INFO -  Killing process: 6804
20:33:06     INFO -  Not taking screenshot here: see the one that was previously logged
20:33:07     INFO -  mozcrash kill_pid(): wait failed (-1) terminating pid 6804: error 5
20:33:07     INFO -  psutil found pid 6804 dead
20:33:07     INFO -  TEST-INFO | Main app process: exit 1
20:33:07     INFO -  Buffered messages finished
20:33:07    ERROR -  698 ERROR TEST-UNEXPECTED-FAIL | dom/asmjscache/test/test_slow.html | application terminated with exit code 1
20:33:07     INFO -  runtests.py | Application ran for: 0:10:14.447000
20:33:07     INFO -  zombiecheck | Reading PID log: c:\users\genericworker\appdata\local\temp\tmp2xpccwpidlog
20:33:07     INFO -  ==> process 6804 launched child process 4856 ("Z:\task_1518465619\build\application\firefox\firefox.exe" -contentproc --channel="6804.0.1354152454\1290611028" -childID 1 -isForBrowser -intPrefs 6:50|7:-1|35:1000|43:0|44:5|45:0|52:0|58:128|59:10000|64:0|66:400|67:1|68:0|69:0|70:100|75:0|76:120|77:120|162:2|163:1|167:60|168:30|169:1000|178:0|180:0|194:32|195:256|196:5|209:10000|230:24|231:32768|233:0|234:0|243:2|247:1048576|249:100|250:5000|252:600|254:1|262:20|279:5|283:0|291:60000|309:300|310:30| -boolPrefs 1:0|2:0|4:1|5:1|25:1|28:1|29:1|30:1|32:1|33:1|34:1|37:1|38:1|39:1|42:0|46:1|47:0|48:0|49:1|50:1|51:1|53:0|56:1|57:1|60:1|61:0|62:0|63:0|65:0|71:1|72:1|73:1|74:1|78:1|79:1|80:0|81:0|82:1|83:1|84:1|85:1|86:1|89:0|90:0|93:1|94:1|97:0|98:1|99:1|100:0|101:1|102:1|103:1|104:0|105:0|106:0|107:0|108:0|109:1|110:1|111:1|114:1|115:1|116:1|117:1|118:1|119:0|120:1|121:1|122:0|123:0|124:1|125:1|126:0|127:1|128:1|129:1|131:1|132:0|133:1|134:1|135:1|136:0|137:0|138:0|139:1|140:1|141:1|142:1|143:1|144:1|145:1|146:1|147:1|148:1|149:1|150:0|151:1|152:1|153:0|154:1|155:1|156:0|157:0|158:1|159:1|160:1|161:1|164:1|165:0|172:0|175:0|176:0|177:1|181:1|184:0|185:1|187:1|189:0|191:1|193:1|197:1|198:0|199:1|200:1|201:0|204:1|208:1|210:0|211:0|213:1|216:0|222:0|223:1|224:0|225:1|228:0|229:0|232:1|235:0|237:1|238:1|240:1|241:0|248:1|251:1|256:0|257:0|258:0|259:1|260:1|261:0|266:1|269:1|270:1|271:1|272:1|273:1|274:0|275:1|281:0|284:0|285:1|286:1|287:0|288:1|289:1|290:1|292:0|293:0|295:0|304:1|305:1|306:0|307:0|308:0| -stringPrefs "3:7;default|215:4;0.01|226:332; ����!==> process 6804 launched child process 3312 ("Z:\task_1518465619\build\application\firefox\firefox.exe" -contentproc --channel="6804.6.491328465\93479598" -childID 2 -isForBrowser -intPrefs 6:50|7:-1|35:1000|43:0|44:5|45:0|52:0|58:128|59:10000|64:0|66:400|67:1|68:0|69:0|70:100|75:0|76:120|77:120|162:2|163:1|167:60|168:30|169:1000|178:0|180:0|194:32|195:256|196:5|209:10000|230:24|231:32768|233:0|234:0|243:2|247:1048576|249:100|250:5000|252:600|254:1|262:20|279:5|283:0|291:60000|309:300|310:30| -boolPrefs 1:0|2:0|4:1|5:1|25:1|28:1|29:1|30:1|32:1|33:1|34:1|37:1|38:1|39:1|42:0|46:1|47:0|48:0|49:1|50:1|51:1|53:0|56:1|57:1|60:1|61:0|62:0|63:0|65:0|71:1|72:1|73:1|74:1|78:1|79:1|80:0|81:0|82:1|83:1|84:1|85:1|86:1|89:0|90:0|93:1|94:1|97:0|98:1|99:1|100:0|101:1|102:1|103:1|104:0|105:0|106:0|107:0|108:0|109:1|110:1|111:1|114:1|115:1|116:1|117:1|118:1|119:0|120:1|121:1|122:0|123:0|124:1|125:1|126:0|127:1|128:1|129:1|131:1|132:0|133:1|134:1|135:1|136:0|137:0|138:0|139:1|140:1|141:1|142:1|143:1|144:1|145:1|146:1|147:1|148:1|149:1|150:0|151:1|152:1|153:0|154:1|155:1|156:0|157:0|158:1|159:1|160:1|161:1|164:1|165:0|172:0|175:0|176:0|177:1|181:1|184:0|185:1|187:1|189:0|191:1|193:1|197:1|198:0|199:1|200:1|201:0|204:1|208:1|210:0|211:0|213:1|216:0|222:0|223:1|224:0|225:1|228:0|229:0|232:1|235:0|237:1|238:1|240:1|241:0|248:1|251:1|256:0|257:0|258:0|259:1|260:1|261:0|266:1|269:1|270:1|271:1|272:1|273:1|274:0|275:1|281:0|284:0|285:1|286:1|287:0|288:1|289:1|290:1|292:0|293:0|295:0|304:1|305:1|306:0|307:0|308:0| -stringPrefs "3:7;default|215:4;0.01|226:332; ����!
20:33:07     INFO -  zombiecheck | Checking for orphan process with PID: 4856
20:33:07     INFO -  mozcrash Copy/paste: Z:\task_1518465619\build\win32-minidump_stackwalk.exe c:\users\genericworker\appdata\local\temp\tmpq_xx1t.mozrunner\minidumps\4eddc390-d1b3-4e10-b305-138f0aa972a6.dmp Z:\task_1518465619\build\symbols
20:33:14     INFO -  mozcrash Saved minidump as Z:\task_1518465619\build\blobber_upload_dir\4eddc390-d1b3-4e10-b305-138f0aa972a6.dmp
20:33:14  WARNING -  PROCESS-CRASH | dom/asmjscache/test/test_slow.html | application crashed [None]
20:33:14     INFO -  Crash dump filename: c:\users\genericworker\appdata\local\temp\tmpq_xx1t.mozrunner\minidumps\4eddc390-d1b3-4e10-b305-138f0aa972a6.dmp
20:33:14     INFO -  Operating system: Windows NT
20:33:14     INFO -                    10.0.15063
20:33:14     INFO -  CPU: amd64
20:33:14     INFO -       family 6 model 63 stepping 2
20:33:14     INFO -       8 CPUs
20:33:14     INFO -  GPU: UNKNOWN
20:33:14     INFO -  No crash
20:33:14     INFO -  Process uptime: 615 seconds
20:33:14     INFO -  Thread 0
20:33:14     INFO -   0  ntdll.dll!AslHashFree + 0x32348
20:33:14     INFO -      rax = 0x0000000000000000   rdx = 0x0000021e57655cf0
20:33:14     INFO -      rcx = 0x00000000000000c0   rbx = 0x0000000000000001
20:33:14     INFO -      rsi = 0x0000000000000000   rdi = 0x0000000000000001
20:33:14     INFO -      rbp = 0x0000021e477a7150   rsp = 0x00000071761fe4b8
20:33:14     INFO -       r8 = 0x00000000000000c0    r9 = 0x0000000000000000
20:33:14     INFO -      r10 = 0x0000000000000000   r11 = 0x0000021e53ff0008
20:33:14     INFO -      r12 = 0x00000000ffffffff   r13 = 0x00000071761fe800
20:33:14     INFO -      r14 = 0x0000000000000000   r15 = 0x0000000000000000
20:33:14     INFO -      rip = 0x00007ffdb8f25f04
20:33:14     INFO -      Found by: given as instruction pointer in context
20:33:14     INFO -   1  KERNELBASE.dll!GetGeoInfoW + 0xb0
20:33:14     INFO -      rbp = 0x0000021e477a7150   rsp = 0x00000071761fe4c0
20:33:14     INFO -      rip = 0x00007ffdb561dd20
20:33:14     INFO -      Found by: stack scanning
20:33:14     INFO -   2  xul.dll!mozilla::BlockingResourceBase::Acquire() [BlockingResourceBase.cpp:fbd6ca22f8417eb5833e2f7c585f69252de10216 : 325 + 0x1e]
20:33:14     INFO -      rbp = 0x0000021e477a7150   rsp = 0x00000071761fe5f0
20:33:14     INFO -      rip = 0x00007ffd872d179a
20:33:14     INFO -      Found by: call frame info
20:33:14     INFO -   3  xul.dll!TimerThread::FindNextFireTimeForCurrentThread(mozilla::TimeStamp,unsigned int) [TimerThread.cpp:fbd6ca22f8417eb5833e2f7c585f69252de10216 : 666 + 0x8]
20:33:14     INFO -      rbp = 0x0000021e477a7150   rsp = 0x00000071761fe630
20:33:14     INFO -      rip = 0x00007ffd872ee73a
20:33:14     INFO -      Found by: call frame info
20:33:14     INFO -   4  nss3.dll!PR_GetThreadPrivate [prtpd.c:fbd6ca22f8417eb5833e2f7c585f69252de10216 : 204 + 0x5]
20:33:14     INFO -      rbp = 0x0000021e477a7150   rsp = 0x00000071761fe720
20:33:14     INFO -      rip = 0x00007ffd866155a5
20:33:14     INFO -      Found by: call frame info
20:33:14     INFO -   5  xul.dll!mozilla::BlockingResourceBase::CheckAcquire() [BlockingResourceBase.cpp:fbd6ca22f8417eb5833e2f7c585f69252de10216 : 311 + 0x3d]
20:33:14     INFO -      rbp = 0x0000021e477a7150   rsp = 0x00000071761fe750
20:33:14     INFO -      rip = 0x00007ffd872d2c3c
20:33:14     INFO -      Found by: call frame info
20:33:14     INFO -  Thread 1
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Summary: Intermittent TEST-UNEXPECTED-TIMEOUT | dom/asmjscache/test/test_slow.html | application timed out after 330 seconds with no output → Intermittent TEST-UNEXPECTED-TIMEOUT | dom/asmjscache/test/test_slow.html | application timed out after 330/370 seconds with no output
This bug has 52 failures over the last 7 days, all of them happen on windows10-64.

Here is them most recent log example: https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=163323383&lineNumber=13089

Here is a relevant part from the aforementioned log:

7  WARNING -  TEST-UNEXPECTED-TIMEOUT | dom/asmjscache/test/test_slow.html | application timed out after 370 seconds with no output
23:12:07     INFO -  700 ERROR Force-terminating active process(es).
23:12:07     INFO -  Determining child pids from psutil...
23:12:07     INFO -  [8412]
23:12:07     INFO -  ==> process 1560 launched child process 8412 ("Z:\task_1519167110\build\application\firefox\firefox.exe" -contentproc --channel="1560.0.237718072\1381332602" -childID 1 -isForBrowser -intPrefs 43:0|45:0|64:0|69:0|75:0|169:1000|178:0|180:0|194:32|195:256|243:2| -boolPrefs 5:1|37:1|60:1|61:0|120:1|129:1|133:1|143:1|148:1|155:1|181:1|193:1|210:0|294:0| -stringPrefs 215:4;0.01|280:38;{1784f3f8-8cbf-4a98-980d-1afeeb3b58a4}| -schedulerPrefs 0001,2 -greomni "Z:\task_1519167110\build\application\firefox\omni.ja" -appomni "Z:\task_1519167110\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1519167110\build\application\firefox\browser"  1560 "\\.\pipe\gecko-crash-server-pipe.1560" 2060 tab)
23:12:07     INFO -  ==> process 1560 launched child process 7196 ("Z:\task_1519167110\build\application\firefox\firefox.exe" -contentproc --channel="1560.6.218049137\33325257" -childID 2 -isForBrowser -intPrefs 43:0|45:0|64:0|69:0|75:0|169:1000|178:0|180:0|194:32|195:256|243:2| -boolPrefs 5:1|37:1|60:1|61:0|120:1|129:1|133:1|143:1|148:1|155:1|181:1|193:1|210:0|294:0| -stringPrefs 215:4;0.01|280:38;{1784f3f8-8cbf-4a98-980d-1afeeb3b58a4}| -schedulerPrefs 0001,2 -greomni "Z:\task_1519167110\build\application\firefox\omni.ja" -appomni "Z:\task_1519167110\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1519167110\build\application\firefox\browser"  1560 "\\.\pipe\gecko-crash-server-pipe.1560" 2520 tab)
23:12:07     INFO -  Found child pids: set([7196, 8412])
23:12:07     INFO -  Failed to get child procs
23:12:07     INFO -  Killing process: 7196
23:12:07     INFO -  TEST-INFO | started process screenshot
23:12:07     INFO -  TEST-INFO | screenshot: exit 0
23:12:07     INFO -  mozcrash kill_pid(): unable to terminate pid 7196: 5
23:12:07     INFO -  Killing process: 8412
23:12:07     INFO -  Not taking screenshot here: see the one that was previously logged
23:12:07     INFO -  mozcrash kill_pid(): wait failed (-1) terminating pid 8412: error 5
23:12:07     INFO -  Killing process: 1560
23:12:07     INFO -  Not taking screenshot here: see the one that was previously logged
23:12:07     INFO -  mozcrash kill_pid(): wait failed (-1) terminating pid 1560: error 5
23:12:07     INFO -  psutil found pid 1560 dead
23:12:07     INFO -  TEST-INFO | Main app process: exit 1
23:12:07     INFO -  Buffered messages finished
23:12:07    ERROR -  701 ERROR TEST-UNEXPECTED-FAIL | dom/asmjscache/test/test_slow.html | application terminated with exit code 1
23:12:07     INFO -  runtests.py | Application ran for: 0:10:14.379000
23:12:07     INFO -  zombiecheck | Reading PID log: c:\users\genericworker\appdata\local\temp\tmplcb_eupidlog
23:12:07     INFO -  ==> process 1560 launched child process 8412 ("Z:\task_1519167110\build\application\firefox\firefox.exe" -contentproc --channel="1560.0.237718072\1381332602" -childID 1 -isForBrowser -intPrefs 43:0|45:0|64:0|69:0|75:0|169:1000|178:0|180:0|194:32|195:256|243:2| -boolPrefs 5:1|37:1|60:1|61:0|120:1|129:1|133:1|143:1|148:1|155:1|181:1|193:1|210:0|294:0| -stringPrefs 215:4;0.01|280:38;{1784f3f8-8cbf-4a98-980d-1afeeb3b58a4}| -schedulerPrefs 0001,2 -greomni "Z:\task_1519167110\build\application\firefox\omni.ja" -appomni "Z:\task_1519167110\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1519167110\build\application\firefox\browser"  1560 "\\.\pipe\gecko-crash-server-pipe.1560" 2060 tab)
23:12:07     INFO -  ==> process 1560 launched child process 7196 ("Z:\task_1519167110\build\application\firefox\firefox.exe" -contentproc --channel="1560.6.218049137\33325257" -childID 2 -isForBrowser -intPrefs 43:0|45:0|64:0|69:0|75:0|169:1000|178:0|180:0|194:32|195:256|243:2| -boolPrefs 5:1|37:1|60:1|61:0|120:1|129:1|133:1|143:1|148:1|155:1|181:1|193:1|210:0|294:0| -stringPrefs 215:4;0.01|280:38;{1784f3f8-8cbf-4a98-980d-1afeeb3b58a4}| -schedulerPrefs 0001,2 -greomni "Z:\task_1519167110\build\application\firefox\omni.ja" -appomni "Z:\task_1519167110\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1519167110\build\application\firefox\browser"  1560 "\\.\pipe\gecko-crash-server-pipe.1560" 2520 tab)
23:12:07     INFO -  zombiecheck | Checking for orphan process with PID: 7196
23:12:07     INFO -  zombiecheck | Checking for orphan process with PID: 8412
23:12:07     INFO -  mozcrash Copy/paste: Z:\task_1519167110\build\win32-minidump_stackwalk.exe c:\users\genericworker\appdata\local\temp\tmpqxfqkn.mozrunner\minidumps\54d4eb64-161e-48a1-9f36-a71b73733dda.dmp Z:\task_1519167110\build\symbols
23:12:07     INFO -  mozcrash Saved minidump as Z:\task_1519167110\build\blobber_upload_dir\54d4eb64-161e-48a1-9f36-a71b73733dda.dmp
23:12:07  WARNING -  PROCESS-CRASH | dom/asmjscache/test/test_slow.html | application crashed [None]
Flags: needinfo?(overholt)
Luke usually handles asm.js issues.
Flags: needinfo?(overholt) → needinfo?(luke)
These asm.js timeouts should be fixed by bug 1435360 which I intend to get to soon.
Flags: needinfo?(luke)
Luke, any eta on when bug 1435360 lands so this can also be fixed? We're holding off on disabling it if you say you've got a fix.  Thank you.
Flags: needinfo?(luke)
Thanks for asking; I have a patch in progress.
Flags: needinfo?(luke)
This bug has failed 116 times in the last 7 days. It mainly failed on Windows 10 but there was a few occurrences on Linux affecting debug build type.
Failing tests:debug-mochitest-e10

Link to a recent log: https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=167321965&lineNumber=12758

We are waiting for a fix on Bug 1435360 which will also help to fix this Bug.
Bug 1435360 was fixed  but we still have 19 failures today on windows10-64 debug.
Recent failure log: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-central&job_id=167821364&lineNumber=12366
Looking at the graph for mozilla-inbound, failures appear to have gone to zero:
  https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1317615&startday=2018-03-01&endday=2018-03-15&tree=mozilla-inbound
with the last failure's cset being before bug 1435360.  The failure you link to also precedes bug 1435360.

\o/ ?
Whiteboard: [stockwell disable-recommended] → [stockwell fixed:product]
Status: REOPENED → RESOLVED
Closed: 2 years agoLast year
Resolution: --- → FIXED
Is there anything we can do for Fx60 here? Especially since we'll be living with this on ESR for another year otherwise?
Assignee: nobody → luke
Depends on: 1435360
Flags: needinfo?(luke)
Target Milestone: --- → mozilla61
Seems fine to just disable the test.  I don't think this leads to real failures in practice.
Flags: needinfo?(luke)
Component: DOM → DOM: Core & HTML
You need to log in before you can comment on or make changes to this bug.